View Issue Details

IDProjectCategoryView StatusLast Update
0005134MediaMonkey 4Playlist / Searchpublic2019-05-23 10:37
ReporterLudek Assigned To 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Fixed in Version3.1 
Summary0005134: Searching for special chars like '.' no longer works with new full-text search engine
DescriptionRaised here:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35698&p=183876#p183876

Typing just the character ! into the quick search box, the tracklist goes blank, failing to show the tracks here having ! in searched fields.

Currently this is in contradiction with 0005004 (Full-text-search: characters such as '.' should be removed from the query) and how full text search engines (like Google too) mostly works. Full-text search engines mostly ignore special chars. Nevertheless per discussion with Jiri over IM we could switch to the old search (we had in MM 3.0) in the case when only a single special char is typed to search bar('/','\','?',',','|',':','.','_','(',')','[',']','&','@','#','+','*','!','-',';')


Tagsdoc_help
Fixed in build1209

Relationships

related to 0005004 closedLudek MediaMonkey 4 Full-text-search: characters such as '.' should be removed from the query 
parent of 0005179 closedLudek MediaMonkey 4 Quick search for : fails to respect field selection 
related to 0005147 closedLudek MediaMonkey 4 Search for exact text containing special characters doesn't always work 
related to 0005639 closedLudek MediaMonkey 4 Full text search yields poor results when searching for Drive paths 
related to 0015690 closedLudek MediaMonkey 5 Contextual search: Failure to search for special characters 
child of 0003040 closedLudek MediaMonkey 4 Implement proper full-text search 

Activities

Ludek

2009-01-06 14:04

developer   ~0016012

Last edited: 2009-01-06 15:27

Based on Chriss' request here: http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35698&p=183876#p183876 I added todoc tag. See the post in order to find what should be documented.

Ludek

2009-01-06 15:52

developer   ~0016016

Fixed in build 1209.

stephen_platt

2009-02-19 22:37

developer   ~0016717

verified 1223